clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
clang::tidy::ClangTidyASTConsumerFactory Class Reference

`#include <ClangTidy.h>`

## Public Member Functions
| ClangTidyASTConsumerFactory (ClangTidyContext &Context)
std::unique_ptr < clang::ASTConsumer > | CreateASTConsumer (clang::CompilerInstance &Compiler, StringRef File)
| Returns an ASTConsumer that runs the specified clang-tidy checks. More...
std::vector< std::string > | getCheckNames ()
| Get the list of enabled checks. More...
ClangTidyOptions::OptionMap | getCheckOptions ()
| Get the union of options from all checks. More...

## Detailed Description

Definition at line 167 of file ClangTidy.h.

## Constructor & Destructor Documentation

clang::tidy::ClangTidyASTConsumerFactory::ClangTidyASTConsumerFactory | ( | ClangTidyContext & | Context | ) |

Definition at line 194 of file ClangTidy.cpp.

## Member Function Documentation

std::unique_ptr< clang::ASTConsumer > clang::tidy::ClangTidyASTConsumerFactory::CreateASTConsumer | ( | clang::CompilerInstance & | Compiler,
|  | StringRef | File
| ) |  |

Returns an ASTConsumer that runs the specified clang-tidy checks.

Definition at line 217 of file ClangTidy.cpp.

References clang::tidy::ClangTidyOptions::AnalyzeTemporaryDtors, Check, Checks, Finder, clang::tidy::ClangTidyContext::getCheckProfileData(), clang::tidy::ClangTidyContext::getChecksFilter(), clang::tidy::ClangTidyContext::getOptions(), clang::tidy::ClangTidyContext::setASTContext(), clang::tidy::ClangTidyContext::setCurrentFile(), clang::tidy::ClangTidyContext::setSourceManager(), and clang::tidy::setStaticAnalyzerCheckerOpts().

Referenced by clang::tidy::runClangTidy().

std::vector< std::string > clang::tidy::ClangTidyASTConsumerFactory::getCheckNames | ( |  | ) |

Get the list of enabled checks.

Definition at line 268 of file ClangTidy.cpp.

References clang::tidy::GlobList::contains(), and clang::tidy::ClangTidyContext::getChecksFilter().

Referenced by clang::tidy::getCheckNames().

ClangTidyOptions::OptionMap clang::tidy::ClangTidyASTConsumerFactory::getCheckOptions | ( |  | ) |

Get the union of options from all checks.

Definition at line 283 of file ClangTidy.cpp.

References Check, and Checks.

Referenced by clang::tidy::getCheckOptions().

The documentation for this class was generated from the following files:

- ClangTidy.h
- ClangTidy.cpp